[28/29] linux-gen: don't install inline headers in non-ABI-compat mode

Message ID 20171023111057.6328-29-dmitry.ereminsolenikov@linaro.org
State Superseded
Headers show
Series
  • restructure headers for ABI-compat/platform-optimized modes
Related show

Commit Message

Dmitry Eremin-Solenikov Oct. 23, 2017, 11:10 a.m.
There is no point in installing inline headers in non-ABI-compat mode
anymore. They are not included by any other header.

Signed-off-by: Dmitry Eremin-Solenikov <dmitry.ereminsolenikov@linaro.org>

---
 platform/linux-generic/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

-- 
2.14.2

Patch

diff --git a/platform/linux-generic/Makefile.am b/platform/linux-generic/Makefile.am
index 0a49fe67e03b..08e915af4e36 100644
--- a/platform/linux-generic/Makefile.am
+++ b/platform/linux-generic/Makefile.am
@@ -24,6 +24,7 @@  odpapiinclude_HEADERS = \
 		  include/odp/api/debug.h
 
 odpapiplatincludedir= $(includedir)/odp/api/plat
+if !ODP_ABI_COMPAT
 odpapiplatinclude_HEADERS = \
 		  include/odp/api/plat/atomic_inlines.h \
 		  include/odp/api/plat/byteorder_inlines.h \
@@ -38,7 +39,6 @@  odpapiplatinclude_HEADERS = \
 		  include/odp/api/plat/ticketlock_inlines.h \
 		  include/odp/api/plat/ticketlock_inlines_api.h
 
-if !ODP_ABI_COMPAT
 odpapiabiarchincludedir= $(includedir)/odp/api/abi
 odpapiabiarchinclude_HEADERS = \
 		  include-abi/odp/api/abi/atomic.h \